Package org.h2.result

# Class RowFactory

java.lang.Object
org.h2.result.RowFactory

Direct Known Subclasses:
  `RowFactory.DefaultRowFactory`

public abstract class RowFactory extends Object
Creates rows.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`RowFactory.DefaultRowFactory`
Default implementation of row factory.

## Constructor Summary

Constructors
Constructor
Description
`RowFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract SearchRow`
`createRow()`
Create new row.
`abstract Row`
`createRow(Value[] data, int memory)`
Create a new row.
`RowFactory`
`createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, Typed[] columns, IndexColumn[] indexColumns, boolean storeKeys)`
Create a new row factory.
`abstract int`
`getColumnCount()`
`abstract TypeInfo[]`
`getColumnTypes()`
`static RowFactory.DefaultRowFactory`
`getDefaultRowFactory()`
`abstract int[]`
`getIndexes()`
`abstract RowDataType`
`getRowDataType()`
`static RowFactory`
`getRowFactory()`
`abstract boolean`
`getStoreKeys()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RowFactory

public RowFactory()

## Method Details

### getDefaultRowFactory

public static RowFactory.DefaultRowFactory getDefaultRowFactory()

### getRowFactory

public static RowFactory getRowFactory()

### createRowFactory

public RowFactory createRowFactory(CastDataProvider provider, CompareMode compareMode, DataHandler handler, Typed[] columns, IndexColumn[] indexColumns, boolean storeKeys)
Create a new row factory.

Parameters:
  `provider` - the cast provider
  `compareMode` - the compare mode
  `handler` - the data handler
  `columns` - the list of columns
  `indexColumns` - the list of index columns
  `storeKeys` - whether row keys are stored
Returns:
  the (possibly new) row factory

### createRow

public abstract Row createRow(Value[] data, int memory)
Create a new row.

Parameters:
  `data` - the values
  `memory` - the estimated memory usage in bytes
Returns:
  the created row

### createRow

public abstract SearchRow createRow()
Create new row.

Returns:
  the created row

### getRowDataType

public abstract RowDataType getRowDataType()

### getIndexes

public abstract int[] getIndexes()

### getColumnTypes

public abstract TypeInfo[] getColumnTypes()

### getColumnCount

public abstract int getColumnCount()

### getStoreKeys

public abstract boolean getStoreKeys()